import { Module } from '@nestjs/common';
import { CqrsModule } from '@nestjs/cqrs';
import { DatabaseModule } from '../database/database.module';
import { ConfigRepository } from '../database/src/domain/configuration.repository';
import { ConfigurationController } from './adapters/primaries/configuration.controller';
import { ConfigurationProfile } from './mappers/configuration.profile';

@Module({
  imports: [DatabaseModule, CqrsModule],
  exports: [],
  controllers: [ConfigurationController],
  providers: [ConfigurationProfile, ConfigRepository],
})
export class ConfigurationModule {}
