import { AutoMap } from '@automapper/classes';
import { IsNotEmpty, IsOptional, IsString } from 'class-validator';
import { Domain } from './domain.enum';

export class UpdateConfigurationRequest {
  @IsString()
  @IsNotEmpty()
  @AutoMap()
  uuid: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  domain?: Domain;

  @IsString()
  @IsOptional()
  @AutoMap()
  key?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  value?: string;
}
